ChangeSet 1.879.9.13, 2003/01/07 12:59:07-08:00, greg@kroah.com

[PATCH] USB mdc800: forward port 2.4 fix for misuse of types.

Thanks to Dave Jones for pointing this out.


diff -Nru a/drivers/usb/image/mdc800.c b/drivers/usb/image/mdc800.c
--- a/drivers/usb/image/mdc800.c	Wed Jan  8 11:59:37 2003
+++ b/drivers/usb/image/mdc800.c	Wed Jan  8 11:59:37 2003
@@ -673,7 +673,7 @@
  */
 static ssize_t mdc800_device_read (struct file *file, char *buf, size_t len, loff_t *pos)
 {
-	int   left=len, sts=len; /* single transfer size */
+	size_t left=len, sts=len; /* single transfer size */
 	char* ptr=buf;
 	DECLARE_WAITQUEUE(wait, current);
 
@@ -767,7 +767,7 @@
  */
 static ssize_t mdc800_device_write (struct file *file, const char *buf, size_t len, loff_t *pos)
 {
-	int i=0;
+	size_t i=0;
 	DECLARE_WAITQUEUE(wait, current);
 
 	down (&mdc800->io_lock);
